function allSp = customImport
%import all files from one familiy to single structure
[file, path] = uigetfile('*spFound.mat', 'Select sheep from same family', 'MultiSelect','on');

for f = 1:numel(file)
    %split string to get sheep name
    splitFileName = strsplit(file{f}, '_');
    sheepName = splitFileName{1};
    sheepFamily = splitFileName{2};
    splitPeriod = strsplit(splitFileName{3}, '(');
    pMix = splitPeriod{1};
    period = lower(pMix(1:end-1));
    periodNumber = str2double(pMix(end));
    importedSp = load('-mat', [path file{f}]);
    allSp.(sheepName).family = sheepFamily;
    allSp.(sheepName).(period)(periodNumber) = importedSp.spFound;
    allSp.(sheepName).(period)(periodNumber).raw = [];

end

save([sheepFamily '_spFound.mat'], 'allSp')

end



