function spFound = flagSpindles(spFound, minL, maxL)
%mark any spindles that may need to be removed... for various reasons...
%remove = 1 ----- X score too high - probably an artefact
%remove = 2 ----- Spindle too short or too long
%remove = 3 ----- No clear peak frequency

for sp = 1:numel(spFound.spStart)

    if (spFound.Xscore(sp) > 10)
        spFound.remove(sp) = 1;
    else
        spFound.remove(sp) = 0;
    end
    if (spFound.spLength(sp)> maxL)||(spFound.spLength(sp) < minL)
        spFound.remove(sp) = 2;
    end
    if spFound.noPeak(sp) == 1
        spFound.remove(sp) = 3;
    end
end
end