
function allSp = globalFinder(allSp)
%for each spindle see how global/local they are

sheepNames = fieldnames(allSp);
%for each sheep, and each period, look at every spindle and see how many
%spindles occur at the same time as it in other channels. 
for sheep = 1:numel(sheepNames)
    sheepNames{sheep}
    for period = 1:numel(allSp.(sheepNames{sheep}).night)
        if (numel(allSp.(sheepNames{sheep}).night(period).spStart)) > 0
            [allSp.(sheepNames{sheep}).night(period).syncVector, allSp.(sheepNames{sheep}).night(period).spGlobalCountClassic] = checkSpindles(allSp.(sheepNames{sheep}).night(period));
        end
    end
    %days
     for period = 1:numel(allSp.(sheepNames{sheep}).day)
        [allSp.(sheepNames{sheep}).day(period).syncVector, allSp.(sheepNames{sheep}).day(period).spGlobalCountClassic] = checkSpindles(allSp.(sheepNames{sheep}).day(period));
    end
    
end


end


function [syncVector, spGlobalCountClassic] = checkSpindles(data)
    keepers = zeros(numel(data.spStart), 1);
    %find the high power spindles in each channel
    for c = 1:8
           chanKeepers = (data.remove==0)'&(data.chan == c);
           peakKeepers = data.numPeaks' > 3;
           freqKeepers  = data.peakFreq >=  10;
           tempKeepers = chanKeepers & freqKeepers' & peakKeepers;
           keepers = keepers | tempKeepers;
    end

    
syncVector = zeros(numel(data.spStart), 8);  
for sp = 1:numel(data.spStart)
    %if the start of other spindles happened before the end of this one
    check1 = data.spStart < data.spEnd(sp);
    %AND the end of other spindles happened after the start, or the end of
    %this one
    check2 = (data.spEnd > data.spStart(sp))|(data.spEnd >= data.spEnd(sp));
    
    check = check1&check2&keepers;
    %number of synchronous spindles
    spGlobalCountClassic(sp)  = sum(unique(data.chan(check > 0))>0);
    
    %channel numbers of synchronous spindles
    syncVector(sp, data.chan(check > 0)) = 1;

end
end